package com.realnet.stepper.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.stepper.Entity.Testpremium;
import com.realnet.stepper.Services.TestpremiumService ;








@RequestMapping(value = "/token/Testpremium")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TestpremiumController {
	@Autowired
	private TestpremiumService Service;

@Value("${projectPath}")
	private String projectPath;
 








	@PostMapping("/Testpremium")
		  public Testpremium Savedata(@RequestBody Testpremium data) {
		Testpremium save = Service.Savedata(data)	;







		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testpremium/{id}")
	public  Testpremium update(@RequestBody Testpremium data,@PathVariable Integer id ) {
		Testpremium update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testpremium/getall/page")
	public Page<Testpremium> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testpremium> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testpremium")
	public List<Testpremium> getdetails() {
		 List<Testpremium> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testpremium")
	public List<Testpremium> getallwioutsec() {
		 List<Testpremium> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testpremium/{id}")
	public  Testpremium  getdetailsbyId(@PathVariable Integer id ) {
		Testpremium  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testpremium/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}









}